version: '3.8'

services:
   db:
      image: postgres
      environment:
        - POSTGRES_DB=comments_service
        - POSTGRES_USER=postgres
        - POSTGRES_PASSWORD=postgres
      ports:
        - 5432:5432

   django:
       build: ./
       command: bash -c "sleep 5s && python manage.py migrate && python manage.py runserver 0.0.0.0:8000"
       volumes:
         - ./src:/src:rw
       ports:
         - 8000:8000
       env_file:
         - ./.env
       depends_on:
         - db
